Bug 1500593 - [RFE] Capsule page in Satellite GUI should display version of satellite-capsule and not foreman-proxy
Summary: [RFE] Capsule page in Satellite GUI should display version of satellite-capsu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Branding
Version: 6.2.12
Hardware: All
OS: Linux
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: Shimon Shtein
QA Contact: Jan Hutař
URL:
Whiteboard:
: 1580142 1625010 1625748 (view as bug list)
Depends On:
Blocks: 1619394
TreeView+ depends on / blocked
 
Reported: 2017-10-11 06:28 UTC by Onkar
Modified: 2019-11-05 23:09 UTC (History)
11 users (show)

Fixed In Version: foreman-1.18.0.22-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:28:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:30:00 UTC
Foreman Issue Tracker 22069 'Normal' 'Closed' 'Display warning sign when versions of foreman and proxy don''t match.' 2019-11-18 19:49:06 UTC
Foreman Issue Tracker 24567 'Normal' 'Closed' 'Relax foreman proxy compatibility check condition' 2019-11-18 19:49:06 UTC

Description Onkar 2017-10-11 06:28:40 UTC
Description of problem: Version field of capsule displays version of foreman-proxy RPM instead of that it would display the version of the satellite-capsule RPM.


Version-Release number of selected component (if applicable):6.2.12


How reproducible:


Steps to Reproduce:
1. In all Version
2.
3.

Actual results: The Capsule page in the Satellite GUI (Infrastructure -> Capsules -> capsule.example.com) have a version field. This field displays the current version of the foreman-proxy RPM installed on the Capsule.


Expected results: Instead of foreman-proxy RPM it would display the version of the satellite capsule RPM.


Additional info: The Capsule page in the Satellite GUI (Infrastructure -> Capsules -> capsule.example.com) have a version field. This field displays the current version of the foreman-proxy RPM installed on the Capsule. It would make much more sense to display the version of the satellite-capsule RPM. This would enable to track which Capsules have been updated.

Comment 1 Marek Hulan 2017-10-11 09:13:38 UTC
Moving to branding component. In case this is going to be implemented, it should also change 
/about#smart_proxies page where the same information is displayed.

Comment 4 Shimon Shtein 2017-12-25 20:21:21 UTC
Created redmine issue http://projects.theforeman.org/issues/22069 from this bug

Comment 5 pm-sat@redhat.com 2017-12-25 21:18:45 UTC
Upstream bug assigned to sshtein@redhat.com

Comment 6 Shimon Shtein 2017-12-27 11:07:13 UTC
Waiting for upstream merge.

Comment 7 pm-sat@redhat.com 2018-02-20 09:19:04 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/22069 has been resolved.

Comment 16 Shimon Shtein 2018-08-09 09:59:33 UTC
Upstream discussion yielded to new issue: https://projects.theforeman.org/issues/24567.

Comment 17 Ivan Necas 2018-08-14 13:01:12 UTC
*** Bug 1580142 has been marked as a duplicate of this bug. ***

Comment 24 Ivan Necas 2018-09-06 08:03:46 UTC
*** Bug 1625748 has been marked as a duplicate of this bug. ***

Comment 26 Ivan Necas 2018-09-06 09:53:06 UTC
*** Bug 1625010 has been marked as a duplicate of this bug. ***

Comment 30 errata-xmlrpc 2018-10-16 15:28:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.